### Hierarchy

- ApiService
  - TakerEventsService

## Index

### Methods

- getByPair
- getByTaker

## Methods

### getByPair

- getByPair(params: ITakerEventsGetByPairParams): Promise<TakerEvent[]>

- - Defined in aqueduct.ts:930

  Get Taker Events by token pair

  #### Parameters

  - ##### params: ITakerEventsGetByPairParams

  #### Returns Promise<TakerEvent[]>

### getByTaker

- getByTaker(params: ITakerEventsGetByTakerParams): Promise<TakerEvent[]>

- - Defined in aqueduct.ts:914

  Get Taker Events

  #### Parameters

  - ##### params: ITakerEventsGetByTakerParams

  #### Returns Promise<TakerEvent[]>

Generated using TypeDoc